/*
 * In order to compile this class you need to use Apache Axis (version 1.1)
 * and have previously generated the stubs from the wsdl file
 */

public class ExampleClient {     

    public static void main(String[] args) {
		try {
			// Make a service
			org.xspan.webService.sael.core.SaelCoreService service =
			new org.xspan.webService.sael.core.SaelCoreServiceLocator();

			// Get a stub from the service
	    	org.xspan.webService.sael.core.SaelCore xs = service.getSaelCore();
		
			// Call a method
			String[] answer = xs.allSael();
			
			// Output result
			System.out.println("Test allSael():");	    
        	for(int i=0; i<answer.length; i++) {
	    		System.out.println("  "+answer[i]);
			}
    	    System.out.println("\n\n\n ******** \n\n\n");
			
			
			// Call another method
			answer = xs.sael2AnatomyOntology("SAEL:55");			
			
			// Output result
        	System.out.println("Test sael2AnatomyOntology(SAEL:55):");
			System.out.println("Length of answer: "+answer.length);
        	for(int i=0; i<answer.length; i++) {
	    		System.out.println("  "+answer[i]);
			}
	        System.out.println("\n\n\n ******** \n\n\n");
        
        	
        	// Call yet another method
        	org.xspan.webService.sael.core.Provenance result = xs.mappingProvenance("SAEL:55", "FMAID:7199");
        	
        	// Display yet another result
        	System.out.println("Test mappingProvenance(SAEL:55, FMAID:7199:");
        	System.out.println("   Creator:"+result.getCreator()+" Date:"+result.getDate());
			System.out.println("   Definition:"+result.getDefinition());
			System.out.println("\n\n\n ******** \n\n\n");
        
        
        	// And again
        	String output = xs.getUri("FMAID:7199");
        	System.out.println("Test getURI(FMAID:7199):");
	        System.out.println("URI: " + output);
    	    System.out.println("\n\n\n ******** \n\n\n");          	
			
			
			// And finally
			output = xs.anatomyOntology2Sael("FMAID:7199");
			System.out.println("Test anatomyOntology2Sael(FMAID:7199):");
			System.out.println("   " + output);
    	    System.out.println("\n\n\n ******** \n\n\n");        
    	    
    	    System.out.println("THE END!");

		} catch (Exception e) {
			System.out.println(e);
			e.printStackTrace();
		}    	   	        	    
    }    
}
